Bug 1601429 - Error after upgrade on subscription page [NEEDINFO]
Summary: Error after upgrade on subscription page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Justin Sherrill
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks: 1648252
TreeView+ depends on / blocked
 
Reported: 2018-07-16 11:57 UTC by Omkar Khatavkar
Modified: 2019-11-05 23:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1648252 (view as bug list)
Environment:
Last Closed: 2018-10-16 19:26:54 UTC
Target Upstream Version:
gapatil: needinfo? (okhatavk)


Attachments (Terms of Use)
Error Received on Suscription Page. (125.79 KB, image/png)
2018-07-16 11:57 UTC, Omkar Khatavkar
no flags Details
Production_Foreman_Candlepin.log (34.45 KB, text/plain)
2018-07-16 11:59 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24272 Normal Closed Error after upgrade on subscription page 2020-01-27 02:20:14 UTC
Red Hat Knowledge Base (Solution) 3676601 None None None 2018-11-09 08:54:12 UTC

Description Omkar Khatavkar 2018-07-16 11:57:55 UTC
Created attachment 1459141 [details]
Error Received on Suscription Page.

Description of problem:


Version-Release number of selected component (if applicable):
build:satellite6.4 snap 12

How reproducible:


Steps to Reproduce:
1. Install Satellite 6.3 from CDN
2. Import Manifest and Upload in Satellite 
3. Add RHEL7 and sat-tools repos
4. Create CV and publish promote it.
5. Create Activation Key
6. Added Content Host to Satellite Server and Subscribe and Install Katello-agent in content host  
7. Update the Satellite Server
8. Verifying the Subscription Page   

Actual results:
"No upstream pool ID was found for Katello::Pool with ID: 1" error displayed in on Page https://<satellite_host>/subscriptions/ 
 
Expected results:
No error should be displayed on Page https://<satellite_host>/subscriptions/ 


Additional info:

Comment 1 Omkar Khatavkar 2018-07-16 11:59:25 UTC
Created attachment 1459142 [details]
Production_Foreman_Candlepin.log

Comment 6 Andrew Kofink 2018-07-17 12:56:41 UTC
Created redmine issue https://projects.theforeman.org/issues/24272 from this bug

Comment 7 pm-sat@redhat.com 2018-07-17 16:28:22 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 8 pm-sat@redhat.com 2018-07-17 16:28:27 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 9 pm-sat@redhat.com 2018-07-17 18:28:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24272 has been resolved.

Comment 10 Omkar Khatavkar 2018-07-23 04:07:08 UTC
Verification of this bug is in progress

Comment 11 Omkar Khatavkar 2018-07-25 05:02:44 UTC
Verified 

This is verified on Satellite 6.4 with Snap 13 version. No message or error/exception encountered after upgrade. This issue is fixed now.

Comment 12 Bryan Kearney 2018-10-16 19:26:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927

Comment 18 Justin Sherrill 2019-01-15 15:34:11 UTC
The upstream issue 25464 was linked to this AFTER the bz was closed, so the full fix isn't actually in 6.4.0.  Cloning to a new BZ


Note You need to log in before you can comment on or make changes to this bug.